Bug 2040093 - restoring session renders small yet maximized
Summary: restoring session renders small yet maximized
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: firefox
Version: CentOS Stream
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Horak
QA Contact: Jiri Prajzner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-12 22:38 UTC by Thomas Hansen
Modified: 2022-01-17 09:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-107727 0 None None None 2022-01-12 22:40:19 UTC

Description Thomas Hansen 2022-01-12 22:38:03 UTC
CentOS Stream 9 running on a System76 Galp4, Razer Core X with NVIDIA GTX 1660 TI on a LG display 165 hertz extended adaptive sync display
https://imgur.com/a/MNOyKBp screenshots

Description of problem: after starting the computer and opening firefox, the previous session opens but is only responsive in the smaller rendering, tabs and all limited to a smaller size rendering with the rest of the maximized window matte black. Closing the window and restarting firefox fixed it. I have the noscript extension nothing else.


Version-Release number of selected component (if applicable): 91.4.0 esr


How reproducible: was not able to reproduce but it was not the first time I seen it, the next time it happens I will take a screenshot, hopefully have steps to reproduce and update severity


Steps to Reproduce:
1. open tabs (maybe some triggering tabs)
2. shutdown, startup computer
3. open firefox

Actual results: window is maximized yet renders in a smaller container, closing and restarting fixes the rendering issue but nulls my previous session.


Expected results: my previous session opens without error


Additional info: I had arstechnica, cyberpunk 2077 website?, blogger logged in, centos phpbb forum, kotaku, and a few other tabs open. The noscript extension was telling me to block something it said could be an XSS attack on arstechnica twice before I closed the culprit session. I blocked it assuming it is a false positive from data collectors. The tab that displayed was kotaku. (update) bug happened again, window is responsive (sorry for misinformation)

Comment 1 Thomas Hansen 2022-01-14 10:20:05 UTC
https://imgur.com/a/MNOyKBp
Screenshots!
every tab I had open in order

file:////usr/share/doc/HTML/en-US/index.html
new tab
https://www.thebalancecareers.com/25b-information-technology-specialist-3345979
https://www.hfsaa.org/stunning-animals-prior-to-slaughter/
https://en.wikipedia.org/wiki/Legal_aspects_of_ritual_slaughter#United_States
https://animalscience.tamu.edu/2020/07/06/so-you-want-to-build-a-slaughter-plant/
https://www.realtor.com/realestateandhomes-detail/597-and-599-S-75-St-E_Cedar-City_UT_84720_M91021-23409
https://www.zillow.com/homes/for_sale/?searchQueryState=%7B%22pagination%22%3A%7B%7D%2C%22mapBounds%22%3A%7B%22west%22%3A-113.57743263244629%2C%22east%22%3A-113.42293739318848%2C%22south%22%3A37.52606450059144%2C%22north%22%3A37.63448960227274%7D%2C%22isMapVisible%22%3Atrue%2C%22filterState%22%3A%7B%22ah%22%3A%7B%22value%22%3Atrue%7D%7D%2C%22isListVisible%22%3Atrue%2C%22mapZoom%22%3A13%7D
https://www.google.com/maps/place/Hong+Kong+Buffet/@37.6790699,-113.0617792,3a,75y,90t/data=!3m8!1e2!3m6!1sAF1QipPfqzH0NAb1adT9O6dhUeuOh1vCHCDLR1lIsQzi!2e10!3e12!6shttps:%2F%2Flh5.googleusercontent.com%2Fp%2FAF1QipPfqzH0NAb1adT9O6dhUeuOh1vCHCDLR1lIsQzi%3Dw203-h134-k-no!7i4928!8i3264!4m5!3m4!1s0x0:0xfecffb82963d60e6!8m2!3d37.6790008!4d-113.0615616
https://wildlife.utah.gov/news/wildlife-blog/1263-in-search-of-roundtail-in-san-rafael-southeastern-utah.html
https://www.google.com/maps/place/Cedar+City,+UT/@37.687002,-113.0632656,14z/data=!4m5!3m4!1s0x80b5617fe05ec2d1:0xef14cae28073d1e9!8m2!3d37.6774769!4d-113.0618931
https://www.neighbor.com/storage-blog/best-places-live-utah/
http://greatsalt.uslakes.info/Fishing/
https://www.google.com/maps/@49.6199516,-56.9663463,12435043m/data=!3m1!1e3

Comment 2 Martin Stransky 2022-01-17 09:22:08 UTC
It's https://bugzilla.mozilla.org/show_bug.cgi?id=1630251


Note You need to log in before you can comment on or make changes to this bug.